Bienvenido(a), Visitante. Por favor, ingresa o regístrate.
¿Perdiste tu email de activación?
29-03-2017, 23:53 (Mi?rcoles)
Inicio Ayuda Reglas Buscar Ingresar Registrarse
Noticias:
Liberada wifislax64-1.0 version final para descargar



+  Seguridad Wireless - Wifi
|-+  Equipos y materiales
| |-+  Puntos de acceso, routers, switchs y bridges
| | |-+  Openwrt (Moderadores: jar229, Noltari, Pteridium, Tki2000)
| | | |-+  [Desarrollo] OpenWrt en Huawei HG556a
0 Usuarios y 2 Visitantes están viendo este tema. « anterior próximo »
Páginas: 1 ... 142 143 144 145 146 [147] 148 Ir Abajo Imprimir
Autor Tema: [Desarrollo] OpenWrt en Huawei HG556a  (Leído 1356729 veces)
pixapo
**
Desconectado Desconectado

Mensajes: 6


Ver Perfil
« Respuesta #2920 : 07-02-2017, 21:24 (Martes) »

pepeXX es un modelo B.  

Ya puestos podrías incluir también
kmod-usb-net kmod-usb-net-rndis kmod-usb-net-cdc-ether usbutils udev

Son para hacer USB tethering al teléfono y al instalarlos dan error de incompatibilidad con el kernel.
« Última modificación: 08-02-2017, 21:43 (Mi?rcoles) por pixapo » En línea
Tki2000
Moderador
*
Desconectado Desconectado

Mensajes: 1595


Ver Perfil
« Respuesta #2921 : 10-02-2017, 11:16 (Viernes) »

Me ha llegado una petición, de unos paquetes que tenía compilados para el HG556a, hace bastante tiempo.

Son  para añadir un protocolo iSCSI target al router. La verdad es que en su momento los compilé, pero no los probé a fondo, así que no puedo dar seguridad de que funcionen al 100%.
De todas formas, los comparto, por la petición que me han hecho, y por si le sirven a cualquier otra persona.

Están hechos para un kernel 3.10.32, así que si el kernel no es parecido, seguramente no funcionará correctamente.

http://www.mediafire.com/file/fzdkqpnxzsklich/brcm63xx_iSCSI_Target_-_Openwrt_-_K3.10.32.zip

Por si alguien tiene demasiados problemas para integrarlos en su imagen, dejo también la imagen para la que fue creado:

http://www.mediafire.com/file/5c4mlw2ndrmeigq/openwrt-HW556-squashfs-cfe-r39930-k3.10.32-1.zip
En línea

No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
jzef
**
Desconectado Desconectado

Mensajes: 4


Ver Perfil
« Respuesta #2922 : 10-02-2017, 12:45 (Viernes) »

Thx for share packages but unfortunately not work with kernel 3.18.23 CHAOS CALMER (15.05.1, r48532) from OpenWrt Downloads :-(
I use HG553 router but this is same platform as HG556a - brcm63xx

Snapshot sources this version: https://git.openwrt.org/?p=15.05/openwrt.git;a=snapshot;h=0c335d6ea00af9b32225f72d491e560c1a7cf4ab;sf=tgz

Could you compile SCST wth these sources?

Thx. Regards.
En línea
jar229
Moderador
*
Desconectado Desconectado

Mensajes: 4541



Ver Perfil
« Respuesta #2923 : 10-02-2017, 12:55 (Viernes) »

Thx for share packages but unfortunately not work with kernel 3.18.23 CHAOS CALMER (15.05.1, r48532) from OpenWrt Downloads :-(
I use HG553 router but this is same platform as HG556a - brcm63xx

Snapshot sources this version: https://git.openwrt.org/?p=15.05/openwrt.git;a=snapshot;h=0c335d6ea00af9b32225f72d491e560c1a7cf4ab;sf=tgz

Could you compile SCST wth these sources?

Thx. Regards.

Este es un foro de habla hispana. Por favor, escribe en español. Puedes usar google translate  Wink
En línea

En venta:

Portátiles Lenovo ThinkPad X131e con SSD

AMD E2-1800 1.7GHz dual core
3 GB RAM
HD 160 GB
Pantalla panorámica 11.6" LED 1366x768
AMD Radeon HD 7340 (Integrada)
Webcam
Lan Gibabit
Wifi 802.11b/g/n
1 x USB 2.0
2 x USB 3.0
1 x VGA
1 x HDMI
Lector de tarjetas
Batería en buen estado
Peso 1,7 kg.
Teclado alemán convertido en español con vinilos de alta calidad

Instalado Windows 10 pro 64 bits
Licencia original Windows 7 Pro 64 bits

Buen estado general, marcas de uso en la cubierta

Precio: 130 €, incluido envío a la península
jzef
**
Desconectado Desconectado

Mensajes: 4


Ver Perfil
« Respuesta #2924 : 10-02-2017, 13:08 (Viernes) »

Thx para paquetes de acciones, pero lamentablemente no funciona con el kernel 3.18.23 CHAOS CALMER (15.05.1, r48532) de OpenWrt Descargas :-(
Yo uso HG553 router, pero esta es la misma plataforma que HG556a - brcm63xx

La instantánea origina esta versión: https://git.openwrt.org/?p=15.05/openwrt.git;a=snapshot;h=0c335d6ea00af9b32225f72d491e560c1a7cf4ab;sf=tgz

¿Podría compilar SCST con estas fuentes?

Gracias. Saludos.
En línea
Tki2000
Moderador
*
Desconectado Desconectado

Mensajes: 1595


Ver Perfil
« Respuesta #2925 : 10-02-2017, 23:24 (Viernes) »

Thx para paquetes de acciones, pero lamentablemente no funciona con el kernel 3.18.23 CHAOS CALMER (15.05.1, r48532) de OpenWrt Descargas :-(
Yo uso HG553 router, pero esta es la misma plataforma que HG556a - brcm63xx

La instantánea origina esta versión: https://git.openwrt.org/?p=15.05/openwrt.git;a=snapshot;h=0c335d6ea00af9b32225f72d491e560c1a7cf4ab;sf=tgz

¿Podría compilar SCST con estas fuentes?

Gracias. Saludos.

Lo siento, no tengo los parches para compilar ese paquete. Lo compilé en su momento, pero ya no tengo esos fuentes, y tampoco sé si compilará con kernels más modernos.
Prueba con alguna versión Barrier Breaker, que tendrá un kernel más parecido al compilado en los paquetes.
En línea

No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
jzef
**
Desconectado Desconectado

Mensajes: 4


Ver Perfil
« Respuesta #2926 : 10-02-2017, 23:32 (Viernes) »

Probé con BB, pero por desgracia, no funcionó  Sad
En línea
Tki2000
Moderador
*
Desconectado Desconectado

Mensajes: 1595


Ver Perfil
« Respuesta #2927 : 11-02-2017, 13:35 (S?bado) »

Probé con BB, pero por desgracia, no funcionó  Sad

¿Qué es lo que no funcionó?
¿Te has leído esto? https://foro.seguridadwireless.net/openwrt/%28faq%29-preguntas-mas-comunes-sobre-openwrt/#post_FAQ_Kernel_Deps
En línea

No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
jzef
**
Desconectado Desconectado

Mensajes: 4


Ver Perfil
« Respuesta #2928 : 11-02-2017, 14:15 (S?bado) »

He instalado usando las opciones (--force-depends), pero no funciona scst:
Código:
root@OpenWrt:/tmp# /etc/init.d/scst enable
root@OpenWrt:/tmp# /etc/init.d/scst start
/etc/rc.common: eval: line 1: can't create /sys/kernel/scst_tgt/handlers/vdisk_fileio/mgmt: nonexistent directory
/etc/rc.common: eval: line 1: can't create /sys/kernel/scst_tgt/devices//threads_num: nonexistent directory
También traté de cargar manualmente los módulos:
Código:
root@OpenWrt:~# insmod iscsi-scst.ko
kmod: failed to insert /lib/modules/3.10.49/iscsi-scst.ko
root@OpenWrt:~# insmod scst.ko
root@OpenWrt:~# insmod scst_vdisk.ko
kmod: failed to insert /lib/modules/3.10.49/scst_vdisk.ko
En línea
Tki2000
Moderador
*
Desconectado Desconectado

Mensajes: 1595


Ver Perfil
« Respuesta #2929 : 11-02-2017, 22:28 (S?bado) »

He instalado usando las opciones (--force-depends), pero no funciona scst:
Código:
root@OpenWrt:/tmp# /etc/init.d/scst enable
root@OpenWrt:/tmp# /etc/init.d/scst start
/etc/rc.common: eval: line 1: can't create /sys/kernel/scst_tgt/handlers/vdisk_fileio/mgmt: nonexistent directory
/etc/rc.common: eval: line 1: can't create /sys/kernel/scst_tgt/devices//threads_num: nonexistent directory
También traté de cargar manualmente los módulos:
Código:
root@OpenWrt:~# insmod iscsi-scst.ko
kmod: failed to insert /lib/modules/3.10.49/iscsi-scst.ko
root@OpenWrt:~# insmod scst.ko
root@OpenWrt:~# insmod scst_vdisk.ko
kmod: failed to insert /lib/modules/3.10.49/scst_vdisk.ko

Pues lo siento, no tengo más ideas...  Undecided
En línea

No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
baumann
**
Desconectado Desconectado

Mensajes: 16


Ver Perfil
« Respuesta #2930 : 18-02-2017, 12:46 (S?bado) »

Gracias PEPEXX, tu compilación lede para el hg556a funciona como la seda. Ahora estoy intentando instalar miniDLNA para compartir el disco USB con la smart TV, ya que con samba, el pc lo ve sin problemas pero la tele ni se entera. Sin embargo, ese paquete no aparece en los repositorios. Intenté instalar uno de Openwrt en local pero da un error de incompatibilidad ¿Alquien sabe cómo instalarlo?

Efectivamente da un error de compatiblidad por el kernel, el binario trae la versión 4.4.21 y los paquetes disponibles en los repos buscan un kernel 4.4.49, será por lo que ha comentado @pepexxx con la liberación de la nueva versión.


Pepexxx yo soy muy novato y tal, pero tienes subido en algun repo los archivos para hacer la compilación?
No me vendría mal aprender a hacerlo siguiendo los tutoriales oficiales

Código:
root@lede:~# opkg install kmod-ath9k
Upgrading kmod-ath9k on root from 4.4.21+2016-06-20-1 to 4.4.49+2017-01-31-1...
Downloading http://downloads.lede-project.org/snapshots/targets/brcm63xx/generic/packages/kmod-ath9k_4.4.49+2017-01-31-1_mips_mips32.ipk.
Configuring kmod-ath9k-htc.
failed to find a module named ath9k_htc
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-ath9k:
 *      kernel (= 4.4.49-1-a27bd08feed8f62ab745b6d6e9ae172a) *
 * opkg_install_cmd: Cannot install package kmod-ath9k.
En línea
pepexx
****
Desconectado Desconectado

Mensajes: 79


Ver Perfil
« Respuesta #2931 : 23-02-2017, 20:17 (Jueves) »

Baumann, en este hilo tienes todo lo necesario para hacerte tus propias compilaciones:

https://foro.seguridadwireless.net/openwrt/compilar-openwrt-a-nuestro-gusto/

Puedes comentar cualquier problema que te vaya surgiendo y todos te iremos ayudando.

Saludos.
En línea
pepexx
****
Desconectado Desconectado

Mensajes: 79


Ver Perfil
« Respuesta #2932 : 24-02-2017, 19:31 (Viernes) »

Buenas tardes,

Os adjunto una compilación de la versión LEDE r3575 con los mismos paquetes que la r47145

FPU Emulation, LuCi, soporte para discos usb en formato ntfs, vfat y ext2-3-4, servidor samba, vsftpd (servidor de ftp), wol, screen, swap-utils, luci-app-wol, OpenVPN, ddns-scripts, LuCi Statistics, drivers para chipsets wifi usb: ath9k-htc, rt2800usb, rt2800pci, rt73usb, rtl8187, rtl8192ce, rtl8192cu, rtl8192de, rtl8192se, zd1211rw, htop

HG556a tipo A
http://ul.to/y3qyx4un

HG556a tipo B
http://ul.to/w9meej3o

HG556a tipo C
http://ul.to/08cn56l8

Saludos.
En línea
pixapo
**
Desconectado Desconectado

Mensajes: 6


Ver Perfil
« Respuesta #2933 : 25-02-2017, 20:57 (S?bado) »

Gracias PEPEXX, tu compilación lede para el hg556a funciona como la seda. Ahora estoy intentando instalar miniDLNA para compartir el disco USB con la smart TV, ya que con samba, el pc lo ve sin problemas pero la tele ni se entera. Sin embargo, ese paquete no aparece en los repositorios. Intenté instalar uno de Openwrt en local pero da un error de incompatibilidad ¿Alquien sabe cómo instalarlo?

Efectivamente da un error de compatiblidad por el kernel, el binario trae la versión 4.4.21 y los paquetes disponibles en los repos buscan un kernel 4.4.49, será por lo que ha comentado @pepexxx con la liberación de la nueva versión.

Pepexxx yo soy muy novato y tal, pero tienes subido en algun repo los archivos para hacer la compilación?
No me vendría mal aprender a hacerlo siguiendo los tutoriales oficiales

Código:
root@lede:~# opkg install kmod-ath9k
Upgrading kmod-ath9k on root from 4.4.21+2016-06-20-1 to 4.4.49+2017-01-31-1...
Downloading http://downloads.lede-project.org/snapshots/targets/brcm63xx/generic/packages/kmod-ath9k_4.4.49+2017-01-31-1_mips_mips32.ipk.
Configuring kmod-ath9k-htc.
failed to find a module named ath9k_htc
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-ath9k:
 *      kernel (= 4.4.49-1-a27bd08feed8f62ab745b6d6e9ae172a) *
 * opkg_install_cmd: Cannot install package kmod-ath9k.

He instalado la RC2 con kernel 4.4.49 y el dichoso miniDLNA sigue dando error. En el enlace de descarga del paquete, donde vienen las arquitecturas soportadas no aparece la MIPS32 que es la del el hg556a, por lo tanto, lo que habría que saber es si alguien ha sido capaz de instalarlo en este router.

« Última modificación: 27-02-2017, 20:54 (Lunes) por pixapo » En línea
crislgga
******
Desconectado Desconectado

Mensajes: 292


Ver Perfil
« Respuesta #2934 : 27-02-2017, 20:50 (Lunes) »

Buenas tardes,

Os adjunto una compilación de la versión LEDE r3575 con los mismos paquetes que la r47145

FPU Emulation, LuCi, soporte para discos usb en formato ntfs, vfat y ext2-3-4, servidor samba, vsftpd (servidor de ftp), wol, screen, swap-utils, luci-app-wol, OpenVPN, ddns-scripts, LuCi Statistics, drivers para chipsets wifi usb: ath9k-htc, rt2800usb, rt2800pci, rt73usb, rtl8187, rtl8192ce, rtl8192cu, rtl8192de, rtl8192se, zd1211rw, htop

HG556a tipo A
http://ul.to/y3qyx4un

HG556a tipo B
http://ul.to/w9meej3o

HG556a tipo C
http://ul.to/08cn56l8

Saludos.

¿Estas compilaciones son de la rama trunk?, o de rama estable 17.01.0?, ya que la rama estable es la r3205
En línea
pepexx
****
Desconectado Desconectado

Mensajes: 79


Ver Perfil
« Respuesta #2935 : 01-03-2017, 15:51 (Mi?rcoles) »

Son de la rama trunk.

Tenía pensado hacer una de la 17.01 cuando saliera la versión final.

Saludos.

Edito: acabo de ver que ha salido la versión final. Voy a hacer una compilación de esa rama.
« Última modificación: 01-03-2017, 15:55 (Mi?rcoles) por pepexx » En línea
crislgga
******
Desconectado Desconectado

Mensajes: 292


Ver Perfil
« Respuesta #2936 : 01-03-2017, 17:23 (Mi?rcoles) »

Son de la rama trunk.

Tenía pensado hacer una de la 17.01 cuando saliera la versión final.

Saludos.

Edito: acabo de ver que ha salido la versión final. Voy a hacer una compilación de esa rama.
ok, por eso te preguntaba, ya que habia salido, no me salian las cuentas del numero de versión, porque tengo 2 con chipset mediatek listos para probar, ya que en 1 se me desconecta mucho como repetidor del livebox 2.1 y el otro el ddns dinamico con no-ip falla tambien mucho con su propia conexión para detectar ping hacia afuera o ver a través de url la ip
saludos
En línea
pepexx
****
Desconectado Desconectado

Mensajes: 79


Ver Perfil
« Respuesta #2937 : 05-03-2017, 21:19 (Domingo) »

Os adjunto una compilación de la versión estable Lede 17.01 r3267 con los mismos paquetes que la r47145. Con esta compilación ya no habrá problemas de dependencias al instalar cualquier paquete.

FPU Emulation, LuCi, soporte para discos usb en formato ntfs, vfat y ext2-3-4, servidor samba, vsftpd (servidor de ftp), wol, screen, swap-utils, luci-app-wol, OpenVPN, ddns-scripts, LuCi Statistics, drivers para chipsets wifi usb: ath9k-htc, rt2800usb, rt2800pci, rt73usb, rtl8187, rtl8192ce, rtl8192cu, rtl8192de, rtl8192se, zd1211rw, htop

HG556a tipo A
http://ul.to/rez609zx

HG556a tipo B
http://ul.to/qjectvjr

HG556a tipo C
http://ul.to/3qatil8i

Saludos.
En línea
Sekmeth
**
Desconectado Desconectado

Mensajes: 28


Ver Perfil
« Respuesta #2938 : 06-03-2017, 01:43 (Lunes) »

Os adjunto una compilación de la versión estable Lede 17.01 r3267 con los mismos paquetes que la r47145. Con esta compilación ya no habrá problemas de dependencias al instalar cualquier paquete.

FPU Emulation, LuCi, soporte para discos usb en formato ntfs, vfat y ext2-3-4, servidor samba, vsftpd (servidor de ftp), wol, screen, swap-utils, luci-app-wol, OpenVPN, ddns-scripts, LuCi Statistics, drivers para chipsets wifi usb: ath9k-htc, rt2800usb, rt2800pci, rt73usb, rtl8187, rtl8192ce, rtl8192cu, rtl8192de, rtl8192se, zd1211rw, htop

HG556a tipo A
http://ul.to/rez609zx

HG556a tipo B
http://ul.to/qjectvjr

HG556a tipo C
http://ul.to/3qatil8i

Saludos.



Hola

Tengo un modelo B (wifi atheros).
En el post inicial del hilo dice:

Citar
El wifi atheros, no permite hacer 'puente cliente transparente', así que para lograrlo hay que hacer servir el paquete relayd: http://wiki.openwrt.org/doc/recipes/relayclient


¿Con tu compilación queda resuelto este problema o hay que instalar el relayclient?


Saludos y gracias!!
En línea
pepexx
****
Desconectado Desconectado

Mensajes: 79


Ver Perfil
« Respuesta #2939 : 06-03-2017, 09:49 (Lunes) »

Sekmeth,

Tendrías que instalar relayd para hacer lo que quieres. Como es la versión estable, no deberías tener problemas de dependencias al instalar el paquete desde el repositorio.

Saludos.
En línea
Páginas: 1 ... 142 143 144 145 146 [147] 148 Ir Arriba Imprimir 
« anterior próximo »
Ir a:  


Ingresar con nombre de usuario, contraseña y duración de la sesión

Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines
SMFAds for Free Forums